=== Deluge 1.2.3 (27 March 2010) ===
==== Core ====
	* Fix libtorrent version compare to use a proper numerical compare instead
	  of string.  This fixes a problem where using lt 0.14.10 wouldn't allow
	  Deluge to start.
	* Fix libtorrent 0.15 compatibility

=== Deluge 1.2.2 (19 March 2010) ===
==== Core ====
	* Fix #1109 auto add halting when a torrent with invalid filename encoding
	  is in the directory

==== GtkUI ====
	* Fix #1162 problem with the queued torrents dialog from not properly adding
	  to the add torrent dialog if set to auto add
	* Fix #1172 notify startup complete when adding torrents externally
	* Fix issue where the gtkui sometimes won't start if there is a stale lock
	  file or socket in the ipc/ directory.

==== Console ====
	* Fix #1143 deluge-console crashes when tab-completing not-existent directory

=== Deluge 1.2.1 (20 February 2010) ===
==== Core ====
	* Make Deluge dependent upon libtorrent 0.14.9 or greater.  This is due to
	  an over-downloading bug in previous versions of libtorrent.

==== GtkUI ====
	* Fix #1128 Show an error dialog when unable to start a 'deluged' process
	* Increased max enterable download / upload limit to 60000 KiB/s

==== Console ====
	* Fix hanging when using commands from the command-line

==== Web ====
	* Fix #1147: Cannot upload a torrent in a multi-user system via the web interface
	* Fix #1148: Unable to save execute command in execute plugin

=== Deluge 1.2.0 - "Bursting like an infected kidney" (10 January 2010) ===
==== Core ====
	* Fix file renaming
	* Fix tracker host filtering (Closes #1106)
	* Fix exceptions when gettext/locale cannot be initialized properly
	* Change share ratio calculation to use the total done instead of the all time
	  downloaded value.  This change will make the share ratio calculation not
	  use data downloaded in failed hash checks.
	* Fix torrent info name not being utf-8 decoded when root file/folder name
	  is blank

==== GtkUI ====
	* Fix #1104, #735 use path.utf-8 if available
	* Fix #1114 test active port not working in classic mode

==== Console ====
	* Fix #1115 not showing usage for the 'debug' command
	* Fix #1116 not being able to use command aliases when not connected to a daemon
	* Fix #1117 can't use the '3' key

==== Windows ====
	* Fix displaying folders in the add torrent dialog
	* Fix displaying the new release dialog

==== Blocklist ====
	* Fix blocklist status icon not opening the blocklist preference
	  page in certain locales
	* Fix blocklist not recognising comments that begin with whitespace
	* Minor speedup in parsing blocklists
	* Blocklist now attempts to download the URL multiple times before giving
	  up
	* Fix blocklist not being able to open zipped blocklists with python 2.5

==== Web ====
	* Put the default password in the manpage.

=== Deluge 1.2.0_rc5 (17 December 2009) ===
==== Web ====
	* Swap order of buttons in Remove window (Closes #1083)
	* Change the compressed js script to deluge-all.js to avoid naming
	  conflicts on case-sensitive filesystems.
	* Apply patch from adios fixing the cookie date
	* Add tooltips to the statusbar items
	* Add disk usage to the statusbar
	* Add a ToggleField widget and use this on the Downloads preferences
	  page allowing the movecom/copytorrent/autoadd boxes to be enabled.
	* Fix enabling plugins.
	* Implement installing plugins.
	* Update some icons
	* Fixed #1075 (changing priority on a whole folder doesn't work)

==== GtkUI ====
	* Attempt to register as the default magnet uri handler in GNOME on startup
	* Properly show 100.00% and reduce number of progress bar updates during a
	  torrent creation
	* Fix crash in Windows when creating a torrent
	* Add button to Other preferences to associate magnet links with Deluge
	* Fix uploading plugins when the daemon is not localhost
	* Fix #692 no longer require tray password when quitting from the tray icon
	  while the window is visible.
	* Fix #782 do not ask for tray password when window is not minimized to tray
	* Fix #1036 autoconnecting to localhost daemon on start-up
	* Fix issue where hosts will show up erroneously as Offline
	* Add #891 remove torrents by pressing the Delete key
	* Fix issue where stoping a daemon that you aren't connected to causes the
	  gtkui to shutdown the currently connected daemon.
	* Fix #594 tray password dialog freeze in Windows
	* Made the password dialog prettier
	* Fix #1086 deprecated gtk.Tooltips usage
	* Fix #768 save tracker list for create torrent dialog
	* Fix #1095 incorrect piece size used when using some non-English languages

==== Console ====
	* Fix using the console in Windows, but only in command-line mode
	* Fix #823 setting config values to -1.0

==== Label ====
	* Fix #1085 only use ints for specific options to prevent unhandled exception

==== Execute ====
	* Use the move_completed path if it is different to the save path
	  in the completed event.

==== Core ====
	* Fix the upload_plugin rpc method (was still using XML-RPC stuff)
	* Fix possible exception when upgrading from a 0.5 state file
	* Use metavar to modify the help output by optparse.
	* Partial fix for #1103 if the per-torrent option for stopping at a ratio has
	  been unchecked, then do not stop it at the global setting.

==== Blocklist ====
	* Fix blocklist not working for all locales
	* Fix blocklist checking for updates when it shouldn't

=== Deluge 1.2.0_rc4 (24 November 2009) ===
==== Core ====
	* Fix deleting old .fastresume files with fresh configs
	* Fix files list when using magnet uris
	* Fix loading the saved metadata when loading state with magnet uris

==== GtkUI ====
	* Fix showing the 'Other' speed dialogs in Windows
	* Fix adding torrents from the Queued Torrents dialog
	* Fix disabling/enabling plugins after switching daemons
	* Reduce height of Add Torrent Dialog by ~80 pixels
	* Fix #1071 issue where Deluge will fail to start if there is a stale ipc lockfile
	* Fix autoconnecting to the next host in the list if the selected one isn't available
	* Fix endless loop when trying to autoconnect to an offline daemon
	* Fix exception on startup when the system tray icon is not enabled
	* Fix issue where some torrents with special characters could not be added
	* Fix issues adding magnet uris

==== Web ====
	* Fix installing the deluge-web manpage
	* Escape hyphens in the manpage

==== Console ====
	* Escape hyphens in the manpage
	* Make the delete key work
	* Allow ~ to be used in the path in the add command
	* Allow commands that are .pyc files to be used
	* Fix printing info, help, etc.. on the command line

==== Blocklist ====
	* Force blocklist to auto-detect format when a download / import is forced
	* Fix blocklist failing on certain PeerGuardian/SafePeer lists

=== Deluge 1.2.0_rc3 (01 November 2009) ===
==== Core ====
	* Fix #1047 move completed does not work if saving to non default path
	* Fix renamed files not being utf-8 encoded
	* Fix torrent name being blank when renaming root folder to /
	* Do not include an 'announce-list' key in torrents when there is only one tracker

==== GtkUI ====
	* Replace & with &amp; in the details tab to ensure there are no markup errors
	* Consider 0 unlimited when displaying limits in the statusbar
	* Fix adding torrents when not showing the add torrent dialog in Windows
	* Fix crash when removing multiple torrents

==== Web ====
	* Fix #1046 changing auto managed via the details tab
	* Fix setting torrent options when adding
	* Fix setting file priorities when adding
	* HTML escape the field values on the details tab
	* Fix #215, make infinite eta values display in the correct order
	* Fix displaying the protocol upload speed
	* Fix #990, showing 0 as a limit when it means unlimited in the statusbar

==== Console ====
	* Fix displaying non-ascii strings
	* Fix #1052 crash when issuing commands while not connected to a daemon
	* Fix crash when string length makes line longer than terminal width
	* Improve 'info' command draw speed

=== Deluge 1.2.0_rc2 (25 October 2009) ===
==== GtkUI ====
	* Fix path errors when adding torrents externally in Windows
	* Fix localclient authentication by stripping the lines read from the auth file
	* Do not try to call doIteration() on the reactor if it has already stopped
	* Fix 'autostart localhost if needed' option
	* Fix starting plugins when the pluginmanager is started
	* Fix #799 translate connection status
	* Fix #215 ETA sort order

==== Core ====
	* Fix saving torrent state on fresh configs

==== Web ====
	* Fix changing of the allocation in the preferences.
	* Fix updating the Connection Manager when a host is added.
	* Add a `--fork` option to allow forking the webui to the background
	* Fix the statusbar menu limits
	* Fix setting the torrent options via the options tab
	* Fix the private flag in the options tab

==== Console ====
	* Fix exception when using the 'halt' command

==== Misc ====
	* Add man pages for deluge-console, deluge-gtk and deluge-web

==== Extractor ====
	* Fix issue where the plugin would not stop extracting files after being disabled
	* Add option to create torrent name sub-folders in extract folder

=== Deluge 1.2.0_rc1 (07 October 2009) ===
==== Core ====
	* Implement new RPC protocol DelugeRPC replacing XMLRPC
	* Move to a twisted framework
	* Add an 'Error' filter for Trackers to show trackers that currently have a tracker error
	* Use system GeoIP database if available, this is now an optional dependency

==== GtkUI ====
	* Remove SignalReceiver
	* Implemented a cross-platform IPC method thus removing the DBUS dependency
	* Implement a "True" Classic Mode where there is no longer a separate daemon process
	* Add preferences option "Add torrent in paused state"
	* Add tracker icons to the Tracker column
	* Implement #259 show tooltip with country name in the peers tab
	* Add an error category to the tracker sidebar list
	* Add Find More Plugins button to Plugins preference page
	* Fix #518 remove header in add torrent dialog to save vertical space
	* Add a Cache preferences page to adjust cache settings and examine cache status
	* Add ability to rename files prior to adding them
	* Fix shutdown handler with GNOME session manager
	* Allow 4 MiB piece sizes when creating a torrent

==== ConsoleUI ====
	* Changed to use curses for a more interactive client

==== WebUI ====
	* Move over to using Twisted-Web for the webserver.
	* Move to only AJAX interface built upon Ext-JS.

==== Plugins ====
	* Add Scheduler plugin
	* Add Extractor plugin

==== Misc ====
	* PyGTK dependency bumped to => 2.12 to use new tooltip system
	* Add new scripts for invoking UIs: deluge-gtk, deluge-web, deluge-console
	* Remove GeoIP database from the source tree

=== Deluge 1.1.9 - (15 June 2009) ===
==== Core ====
	* Only move a torrent due to 'move on complete' when some data has been downloaded
	* Update libtorrent for CVE-2009-1760

==== GtkUI ====
	* Fix #950 renaming a parent folder into multiple folders

==== WebUI ====
	* Fix remote torrent add

=== Deluge 1.1.8 - (21 May 2009) ===
==== Core ====
	* Fix pause all/resume all
	* Torrent name is now changed when the root folder or file is renamed

==== GtkUI ====
	* Fix high cpu usage when displaying speeds in titlebar
	* Fix showing non-utf8 encoded torrents in add torrent dialog -- this adds
		an additional dependency on chardet.
	* Fix exception when timing out trying to send notification email
	* Set some sane defaults for peers/file tabs column widths

==== WebUI ====
	* Fix starting when -l option is used

=== Deluge 1.1.7 - (25 April 2009) ===
==== Core ====
	* Fix issue where cannot resume torrent after doing a 'Pause All'
	* Add workaround for 'address_v4 from unsigned long' bug experienced by users
		with 64-bit machines.	This bug is fixed in libtorrent 0.14.3.

==== GtkUI ====
	* Fix #883 segfault if locale is not using UTF-8 encoding
	* Fix for adding torrents with invalid filename encodings
	* Fix displaying IPv6 peers in the Peers tab
	* Fix starting the daemon in OS X
	* Fix loading improperly created torrents with mismatched encodings
	* Fix displaying improper progress when creating torrent

==== Windows ====
	* Fix freezing in create torrent dialog
	* Fix creating torrents in Windows
	* Fix free space check

=== Deluge 1.1.6 - (06 April 2009) ===
==== Core ====
	* Fix udp trackers being classified as DHT source
	* Fix #855 force a resume on a torrent if a 'Force Recheck' is initiated
	* Fix #862 deluged crash when access http://localhost:58846

==== GtkUI ====
	* Fix displaying torrents with non-utf8 encodings in add torrent dialog

==== WebUI ====
	* Fix #870 use proper config location for loading ssl cert

==== Misc ====
	* Add OpenSSL exception to license

=== Deluge 1.1.5 - (16 March 2009) ===
==== Core ====
	* Fix config file saving when no current config file exists

==== GtkUI ====
	* Add 'Comments' field to the Details tab
	* Fix #841 maximum upload slots tooltip

=== Deluge 1.1.4 - (08 March 2009) ===
==== Core ====
	* Fix displaying file errors when the torrent isn't paused
	* Fix issue where torrents being check would get removed due to "stop at ratio" rules
	* Fix #790 tracker hosts not correct for some .uk trackers
	* Make sure config files, resume data and state are fsync'd when saved.	This should help prevent data losses on crashes/improper shutdowns.

==== GtkUI ====
	* Fix hiding bottom pane when no tabs are enabled upon restart
	* Fix saving file priorities when switching torrents in the addtorrentdialog
	* Fix the allocate mode not being preserved when selecting different torrents in addtorrentdialog
	* Fix #655 issue where default torrent options wouldn't be set for new torrents added to the addtorrentdialog
	* Fix #817 email notifications fail to substitute format strings

==== Plugins ====
	* Label: Fix setting 'Move on completed' folder when connected to a remote daemon

=== Deluge 1.1.3 - (15 February 2009) ===
==== Core ====
	* Fix issue where checking queue would stop
	* Fix announcing to SSL trackers

==== Misc ====
	* Fix issue when initializing gettext that would prevent deluge from starting
	* Fix logging exceptions when starting the daemon
	* Fix displaying errors when a torrent is Checking
	* Fix #790 tracker hosts not correct for some 3rd-level domain names

=== Deluge 1.1.2 - (31 January 2009) ===
==== Core ====
	* Fix issue where torrents get stuck Checking

==== GtkUI ====
	* Fix #761 use proper theme colours in sidebar
	* Fix saving files/peers tab state when no column is sorted

=== Deluge 1.1.1 - (24 January 2009) ===
==== Core ====
	* Fix oldstateupgrader for those upgrading from 0.5.x
	* Fix setting Peer TOS byte
	* Fix setting outgoing ports

==== GtkUI ====
	* Fix opening links from Help menu and others
	* Fix remembering sorted column in the torrent list
	* Fix saving Files tab and Peers tab state
	* Disable popup notification in preferences on Windows
	* Fix crashing in Add Torrent Dialog when removing torrents from the list
	* Do not allow duplicate torrents in the Add Torrent Dialog
	* Fix translating speed units in status tab when a per-torrent limit is set
	* Fix torrents not displaying properly after disconnecting and reconnecting to the daemon
	* Fix when sorting # column, downloads should be on top

==== Misc ====
	* Fix bdecoding some torrent files
	* Fix the -l, --logfile option
	* Fix #729 tracker icons not being saved in the correct location
	* Add support for more tracker icons
	* Fix being able to connect to a local daemon from another user account

=== Deluge 1.1.0 - "Time gas!" (10 January 2009) ===
==== Core ====
	* Implement #79 ability to change outgoing port range
	* Implement #296 ability to change peer TOS byte
	* Add per-torrent move on completed settings
	* Implement #414 use async save_resume_data method
	* Filter Manager with torrent filtering in get_torrents_status , for sidebar and plugins.
	* Implement #368 add torrents by infohash/magnet uri (trackerless torrents)
	* Remove remaining gtk functions in common
	* Tracker icons.
	* Add ETA for torrents with stop at seed ratio set
	* Fix #47 the state and config files are no longer invalidated when there is no diskspace
	* Fix #619 return "" instead of "Infinity" if seconds == 0 in ftime
	* Add -P, --pidfile option to deluged

==== GtkUI ====
	* Add peer progress to the peers tab
	* Add ability to manually add peers
	* Sorting # column will place downloaders above seeds
	* Remove dependency on libtorrent for add torrent dialog
	* Allow adding multiple trackers at once in the edit tracker dialog
	* Implement #28 Create Torrent Dialog
	* Redesiged sidebar with filters for Active and Tracker (see Filter Manager)
	* Implement #428 the ability to rename files and directories
	* Implement #229 add date added column
	* Implement #596 show speeds in title
	* Fix #636 not setting the daemon's config directory when using --config= with the UI in classic mode.
	* Fix #624 do not allow changing file priorities when using compact allocation
	* Fix #602 re-did files/peers tab state saving/loading
	* Fix gtk warnings
	* Add protocol traffic statusbar item
	* Rework the Remove Torrent Dialog to only have 2 options, remove data and remove from session.
	* Add "Install Plugin" and "Rescan Plugins" buttons to the Plugins preferences
	* Make active port test use internal graphic instead of launching browser

==== WebUI ====
	* Lots of smaller tweaks.
	* All details tabs have the same features as in gtk-ui 1.0.x
	* Persistent sessions #486
	* Plugin improvements for easy use of templates and images in eggs. #497
	* Classic template takes over some style elements from white template.
	* https (for users that know how to create certificates)
	* Easier apache mod_proxy use.
	* Redesigned sidebar

==== AjaxUI ====
	* Hosted in a webui template.

==== ConsoleUI ====
	* New ConsoleUI written by Idoa01
	* Callable from command-line for scripts.

==== Plugins ====
	* Stats plugin for graphs.
	* Label plugin for grouping torrents and per torrent settings.

==== Misc ====
	* Implement #478 display UI options in usage help
	* Fix #547 add description to name field per HIG entry 2.1.1.1
	* Fix #531 set default log level to ERROR and add 2 command-line options, "-L, --loglevel" and "-q, --quiet".
